Subject: RE: [Simple] I-D (Updated): Clarification for 'off-line' Status Assigned by Presence Application

From: howard wang <[email-masked]>
Date: Tue, 03 Jul 2007 19:35:58 +0800

Hello, Paul

I am sorry for responding so later and my explain below begin with >>>Howard>>>.
Thanks for comments.

Best regards
Howard

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Friday, June 29, 2007 9:57 PM
To: Howard Wang
Cc: 'Robert Sparks'; 'Hisham Khartabil'; [email-masked]; [email-masked]
Subject: Re: [Simple] I-D (Updated): Clarification for 'off-line' Status Assigned by Presence Application

I'm having a little difficulty understanding this draft. I have a few basic questions that might help:

- What is a "Fetcher"?

>>>Howard>>> For 'Fetcher' here, I try to describe such a kind of presentity --- those can actively use a mean,  e.g. implemented by 'SUBSCRIBE', to get presence information of his watchers, whom had subscribed already. It may be an aspect of function or partial behavior of the presentity.
>>>Howard>>> Hope explain helpful.
>>>Howard>>>

- What is "IOP"
>>>Howard>>> It is my fault not giving a definition in terminal. IOP refers to 'Interoperability', like in OMA specification to regulate on interworking between implementations of a technology specification, such as MSN vs. Yahoo messager.
>>>Howard>>>

- Are you assuming a situation where the "buddies" and the UAs
   are cooperative, or where they are not?
   (By this I mean - will a watcher try to infer a buddy
   is online even when it is clear that the buddy doesn't *want*
   the watcher to draw that conclusion?)
>>>Howard>>> Sure, you catch my point. The goal of this draft is just try to clarify the possibility that a watcher may infer a buddy is online even though the buddy doesn't want thus conclusion.
>>>Howard>>>

	Thanks,
	Paul

howard wang wrote:
> Hello,
> 
> I have submitted a new draft to summarize previous discussion on Clarification for 'off-line' Status Assigned by Presence Application. Hope state completely about the leak in specifications of SIMPLE presence.
> 
> Till it appears on the list, 
> http://sdsunqian.googlepages.com/draft-howard-SIMPLE-offline-status-0.
> txt
> 
> Comments are welcome.
> 
> 
> Best regards
> Howard
> Aaron
> 
> Abstract:
> 'Offline' status assigned by presence application usually mean that the presence application will expect his watcher thinks he is not online, though he may actually be online. According current specifications of presence service, the watcher may have a way to find out some clues to identify the truth. Such leak of specifications will make confusion in implementations, especially for IOP.
> 
> 
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple